#ifndef __BTN_H__
#define __BTN_H__

#define BTN_DDR  DDRB
#define BTN_PIN  PINB
#define BTN_PORT PORTB

#define BTN_KEY_LEFT _BV(1)
#define BTN_KEY_RIGHT _BV(0)
#define BTN_KEY_ANY (BTN_KEY_LEFT | BTN_KEY_RIGHT)

#define btn_timer_start() (TCCR0B = 1<<CS02)
#define btn_timer_stop()  (TCCR0B = 0)


void btn_init(void);
uint8_t  btn_key_pressed(uint8_t key_mask);
uint8_t  btn_key_released(uint8_t key_mask);
uint16_t btn_get_time(void);

extern volatile uint8_t 	key_state;			// debounced and inverted key state:
                    						// bit = 1: key pressed
extern volatile uint8_t 	key_press;			// key press detect
extern volatile uint8_t 	key_release;			// key release detect
extern volatile uint8_t 	btn_countdown;			// for time-out
extern volatile uint8_t 	btn_int1_countup;		// internal use (RFID, RC-5, RFM12)
extern volatile uint32_t 	btn_seconds;			// systemtime (time.h)



#endif
