#ifndef __TIME_H__
#define __TIME_H__


#include <avr/pgmspace.h>

static uint8_t days_of_month[12] PROGMEM = {31,29,31,30,31,30,31,31,30,31,30,31}; 

#define TIME_YEAR_OFFSET 2000
#define TIME_WDAY_ZERO      6

typedef uint32_t time_t;

struct tm {
        	uint8_t tm_sec;		// Sekunden nach der vollen Minute (0, 59)
			uint8_t tm_min;		// Minuten nach der vollen Stunde (0, 59)
			uint8_t tm_hour;	// Stunden seit Mitternacht (0, 23)
			uint8_t tm_mday;	// Tage im Monat (1, 31)
			uint8_t tm_mon;		// Monate seit Januar (0, 11)
			uint8_t tm_year;	// Jahre seit TIME_YEAR_OFFSET
			uint8_t tm_wday;	// Tage seit Sonntag (0, 6)
          };


time_t time(time_t *tp);
void localtime(const time_t t, struct tm * tms_p);
time_t mktime (struct tm * tms_p);
void   stime(time_t when);

#endif
